package org.springframework.cloud.consul.config.encrypt;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.tencent.tsf.encrypt.algorithm.AES256;

public class ConfigEncryptAESProvider extends ConfigEncryptProvider {

    private static final Logger log = LoggerFactory.getLogger(ConfigEncryptAESProvider.class);

    @Override
    public String encrypt(String content, String password) {
        try {
            return AES256.encrypt(content, password);
        } catch (Exception e) {
            log.error("[TSF SDK] Error on encrypting.", e);
            throw e;
        }
    }

    @Override
    public String decrypt(String encryptedContent, String password) {
        try {
            return AES256.decrypt(encryptedContent, password);
        } catch (Exception e) {
            log.error("[TSF SDK] Error on decrypting.", e);
            throw e;
        }
    }
}
