package org.springframework.cloud.consul.config.encrypt;

/**
 * TSF 配置加密提供器接口
 *
 * @author hongweizhu
 */
public abstract class ConfigEncryptProvider {

    /**
     * 加密
     * 
     * @param content 明文
     * @param password 密码
     * @return 密文
     */
    public abstract String encrypt(String content, String password);

    /**
     * 解密
     * 
     * @param encryptedContent 密文
     * @param password 密码
     * @return 明文
     */
    public abstract String decrypt(String encryptedContent, String password);
}
