package org.springframework.cloud.consul.config.encrypt;

public class ConfigEncryptProviderFactory {

    private static ConfigEncryptProvider configEncryptProvider = null;

    public static ConfigEncryptProvider getInstance() {
        if (null == configEncryptProvider) {
            try {
                Class<?> providerClass = Class.forName(EncryptConfig.getProviderClass());
                configEncryptProvider = (ConfigEncryptProvider) providerClass.newInstance();
            } catch (ClassNotFoundException | InstantiationException | IllegalAccessException e) {
                e.printStackTrace();
            }
        }
        return configEncryptProvider;
    }
}
