package org.springframework.cloud.consul.config.watch;


import org.springframework.stereotype.Component;

import java.lang.annotation.*;

/**
 * @author Kysonli
 */

@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Component
public @interface ConfigChangeListener {

    /**
     * config prefix
     * @return
     */
    String prefix() default "";

    /**
     * config value list
     * @return
     */
    String[] value() default {};

    /**
     * async or sync invoke callback event
     * @return
     */
    boolean async() default  false;

}
